{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v1"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"dedicatedCloud.BillingTypeEnum":{"type":"string","description":"The billing type of this Dedicated Cloud","enum":["demo","monthly"]},"dedicatedCloud.Capabilities":{"type":"object","description":"Available features","properties":{"addRessourceRightStatus":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.capabilities.FeatureStatusEnum"}],"description":"canAddRessource right order status in this VMware on OVHcloud","readOnly":true},"backupStatus":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.capabilities.FeatureStatusEnum"}],"description":"Backup feature order status for this VMware on OVHcloud","readOnly":true},"canAddUser":{"type":"boolean","description":"if true user can be added in this VMware on OVHcloud (with POST /dedicatedCloud/{serviceName}/user","readOnly":true},"fullAdminRoUserStatus":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.capabilities.FeatureStatusEnum"}],"description":"fullAdminRO user right order status in this VMware on OVHcloud","readOnly":true},"nexus1000vStatus":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.capabilities.FeatureStatusEnum"}],"description":"Nexus 1000v feature order status in this VMware on OVHcloud ?","readOnly":true},"upgradable":{"type":"boolean","description":"Hypervisor upgrade order status in this VMware on OVHcloud (upgrade with POST /dedicatedCloud/{serviceName}/upgradeHypervisor)","readOnly":true},"userAccessPolicyStatus":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.capabilities.FeatureStatusEnum"}],"description":"userAccessPolicy property edition status in PUT /dedicatedCloud/{serviceName}","readOnly":true}}},"dedicatedCloud.GenerationEnum":{"type":"string","description":"The generation of a Dedicated Cloud","enum":["1.0","2.0"]},"dedicatedCloud.ManagementInterfaceEnum":{"type":"string","description":"The management interface of this Dedicated Cloud","enum":["azure","openstack","systemcenter","vcloud","vcsa","vsphere"]},"dedicatedCloud.StateEnum":{"type":"string","description":"All states a Dedicated Cloud can be in","enum":["available","delivered","disabled","disabling","error","migrating","provisionning","recycling","reserved","toDisable","toProvision","toRecycle","toRemove","toUnprovision","unprovisionning","upgrading"]},"dedicatedCloud.Task":{"type":"object","description":"Operation","properties":{"createdBy":{"type":"string","description":"Creator of the task","nullable":true,"readOnly":true},"createdFrom":{"type":"string","description":"Origin of the task","nullable":true,"readOnly":true},"datacenterId":{"type":"integer","description":"datacenterId of the associated dedicatedCloud.Datacenter object","nullable":true,"readOnly":true},"description":{"type":"string","description":"Current progress description","nullable":true,"readOnly":true},"endDate":{"type":"string","description":"Task end date","nullable":true,"format":"date-time","readOnly":true},"executionDate":{"type":"string","description":"Task execution date","format":"date-time","readOnly":true},"filerId":{"type":"integer","description":"filerId of the associated dedicatedCloud.Filer object","nullable":true,"readOnly":true},"hostId":{"type":"integer","description":"hostId of the associated dedicatedCloud.Host object","nullable":true,"readOnly":true},"lastModificationDate":{"type":"string","description":"Task last modification date","nullable":true,"format":"date-time","readOnly":true},"maintenanceDateFrom":{"type":"string","description":"Maintenance task min allowed execution date","nullable":true,"format":"date-time","readOnly":true},"maintenanceDateTo":{"type":"string","description":"Maintenance task max allowed execution date","nullable":true,"format":"date-time","readOnly":true},"name":{"type":"string","description":"Task name","readOnly":true},"network":{"type":"string","description":"network of the associated dedicatedCloud.Ip object","nullable":true,"readOnly":true},"networkAccessId":{"type":"integer","description":"networkAccessId of the associated dedicatedCloud.AllowedNetwork object","nullable":true,"readOnly":true},"orderId":{"type":"integer","description":"orderId of the associated billing.Order object","nullable":true,"readOnly":true},"parentTaskId":{"type":"integer","description":"taskId of the parent dedicatedCloud.Task object","nullable":true,"readOnly":true},"progress":{"type":"integer","description":"Current progress","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.TaskStateEnum"}],"description":"Current Task state","readOnly":true},"taskId":{"type":"integer","description":"Task id","readOnly":true},"type":{"type":"string","description":"Task type","readOnly":true},"userId":{"type":"integer","description":"userId of the associated dedicatedCloud.User object","nullable":true,"readOnly":true},"vlanId":{"type":"integer","description":"vlanId of the parent dedicatedCloud.Vlan object","nullable":true,"readOnly":true}}},"dedicatedCloud.TaskStateEnum":{"type":"string","description":"All states a Dedicated Cloud Task can be in","enum":["canceled","doing","done","error","fixing","toCancel","toCreate","todo","unknown","waitingForChilds","waitingTodo"]},"dedicatedCloud.UserAccessPolicyEnum":{"type":"string","description":"Open or restricted access to management interface ?","enum":["filtered","open"]},"dedicatedCloud.UserLogoutPolicyEnum":{"type":"string","description":"Which user will be disconnected first in case of quota of maximum connection is reached","enum":["first","last"]},"dedicatedCloud.Version":{"type":"object","description":"Detailed version","properties":{"build":{"type":"string"},"major":{"type":"string"},"minor":{"type":"string"}}},"dedicatedCloud.capabilities.FeatureStatusEnum":{"type":"string","description":"All Dedicated Cloud feature status available","enum":["active","comingSoon","no"]},"dedicatedCloud.dedicatedCloud":{"type":"object","description":"VMware on OVHcloud","properties":{"advancedSecurity":{"type":"boolean","description":"Advanced security state","readOnly":true},"bandwidth":{"type":"string","description":"The current bandwidth of your VMware on OVHcloud","readOnly":true},"billingType":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.BillingTypeEnum"}],"description":"Billing type of your VMware on OVHcloud","readOnly":true},"canMigrateToVCD":{"type":"boolean","description":"Can the PCC be migrated to VCD","readOnly":true},"certifiedInterfaceUrl":{"type":"string","description":"Url to the VMware on OVHcloud certified interface","readOnly":true},"commercialRange":{"type":"string","description":"The current version of your VMware on OVHcloud","readOnly":true},"description":{"type":"string","description":"Description of your VMware on OVHcloud"},"generation":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.GenerationEnum"}],"description":"Generation of your VMware on OVHcloud","readOnly":true},"location":{"type":"string","description":"Datacenter where your VMware on OVHcloud is physically located","readOnly":true},"managementInterface":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.ManagementInterfaceEnum"}],"description":"The management interface name","readOnly":true},"productReference":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.productReferenceEnum"}],"description":"The reference universe information for your VMware on OVHcloud","readOnly":true},"serviceName":{"type":"string","description":"Service name of your VMware on OVHcloud","readOnly":true},"servicePackName":{"type":"string","description":"Name of the current service pack","nullable":true,"readOnly":true},"spla":{"type":"boolean","description":"SPLA licensing state","readOnly":true},"sslV3":{"type":"boolean","description":"Enable SSL v3 support. Warning : this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy","nullable":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.StateEnum"}],"description":"Current state of your VMware on OVHcloud","readOnly":true},"userAccessPolicy":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.UserAccessPolicyEnum"}],"description":"Access policy of your VMware on OVHcloud : opened to every IPs or filtered"},"userLimitConcurrentSession":{"type":"integer","description":"The maximum amount of connected users allowed on the VMware on OVHcloud management interface"},"userLogoutPolicy":{"$ref":"#/components/schemas/dedicatedCloud.UserLogoutPolicyEnum"},"userSessionTimeout":{"type":"integer","description":"The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout"},"vScopeUrl":{"type":"string","description":"Url to the VMware on OVHcloud vScope interface","readOnly":true},"version":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.Version"}],"description":"Version of the management interface","readOnly":true},"webInterfaceUrl":{"type":"string","description":"Url to the VMware on OVHcloud web interface","readOnly":true}}},"dedicatedCloud.dedicatedCloudWithIAM":{"type":"object","description":"VMware on OVHcloud","properties":{"advancedSecurity":{"type":"boolean","description":"Advanced security state","readOnly":true},"bandwidth":{"type":"string","description":"The current bandwidth of your VMware on OVHcloud","readOnly":true},"billingType":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.BillingTypeEnum"}],"description":"Billing type of your VMware on OVHcloud","readOnly":true},"canMigrateToVCD":{"type":"boolean","description":"Can the PCC be migrated to VCD","readOnly":true},"certifiedInterfaceUrl":{"type":"string","description":"Url to the VMware on OVHcloud certified interface","readOnly":true},"commercialRange":{"type":"string","description":"The current version of your VMware on OVHcloud","readOnly":true},"description":{"type":"string","description":"Description of your VMware on OVHcloud"},"generation":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.GenerationEnum"}],"description":"Generation of your VMware on OVHcloud","readOnly":true},"iam":{"allOf":[{"$ref":"#/components/schemas/iam.ResourceMetadata"}],"description":"IAM resource metadata","nullable":true,"readOnly":true},"location":{"type":"string","description":"Datacenter where your VMware on OVHcloud is physically located","readOnly":true},"managementInterface":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.ManagementInterfaceEnum"}],"description":"The management interface name","readOnly":true},"productReference":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.productReferenceEnum"}],"description":"The reference universe information for your VMware on OVHcloud","readOnly":true},"serviceName":{"type":"string","description":"Service name of your VMware on OVHcloud","readOnly":true},"servicePackName":{"type":"string","description":"Name of the current service pack","nullable":true,"readOnly":true},"spla":{"type":"boolean","description":"SPLA licensing state","readOnly":true},"sslV3":{"type":"boolean","description":"Enable SSL v3 support. Warning : this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy","nullable":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.StateEnum"}],"description":"Current state of your VMware on OVHcloud","readOnly":true},"userAccessPolicy":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.UserAccessPolicyEnum"}],"description":"Access policy of your VMware on OVHcloud : opened to every IPs or filtered"},"userLimitConcurrentSession":{"type":"integer","description":"The maximum amount of connected users allowed on the VMware on OVHcloud management interface"},"userLogoutPolicy":{"$ref":"#/components/schemas/dedicatedCloud.UserLogoutPolicyEnum"},"userSessionTimeout":{"type":"integer","description":"The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout"},"vScopeUrl":{"type":"string","description":"Url to the VMware on OVHcloud vScope interface","readOnly":true},"version":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.Version"}],"description":"Version of the management interface","readOnly":true},"webInterfaceUrl":{"type":"string","description":"Url to the VMware on OVHcloud web interface","readOnly":true}}},"dedicatedCloud.productReferenceEnum":{"type":"string","description":"The reference universe information for your Dedicated Cloud","enum":["EPCC","MBM"]},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"iam.ResourceMetadata":{"type":"object","description":"IAM resource metadata embedded in services models","properties":{"displayName":{"type":"string","description":"Resource display name","nullable":true,"readOnly":true},"id":{"type":"string","description":"Unique identifier of the resource","format":"uuid","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/iam.ResourceMetadata.StateEnum"}],"description":"Resource state","nullable":true,"readOnly":true},"tags":{"type":"object","description":"Resource tags. Tags that were internally computed are prefixed with ovh:","nullable":true,"additionalProperties":{"type":"string"},"readOnly":true},"urn":{"type":"string","description":"Unique resource name used in policies","readOnly":true}}},"iam.ResourceMetadata.StateEnum":{"type":"string","description":"Resource state","enum":["EXPIRED","IN_CREATION","OK","SUSPENDED"]},"iam.resource.TagFilter":{"type":"object","description":"Resource tag filter","properties":{"operator":{"allOf":[{"$ref":"#/components/schemas/iam.resource.TagFilter.OperatorEnum"}],"description":"Operator to use in order to filter on the value (defaults to 'EQ')","nullable":true,"readOnly":true},"value":{"type":"string","description":"Value to use in order to filter tags","readOnly":true}}},"iam.resource.TagFilter.OperatorEnum":{"type":"string","description":"Operator that can be used in order to filter resources tags","enum":["EQ","EXISTS","ILIKE","LIKE","NEQ","NEXISTS"]},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"service.RenewType":{"type":"object","description":"Map a possible renew for a specific service","properties":{"automatic":{"type":"boolean","description":"The service is automatically renewed"},"deleteAtExpiration":{"type":"boolean","description":"The service will be deleted at expiration"},"forced":{"type":"boolean","description":"The service forced to be renewed"},"manualPayment":{"type":"boolean","description":"The service needs to be manually renewed and paid","nullable":true},"period":{"type":"integer","description":"period of renew in month","nullable":true}}},"service.RenewalTypeEnum":{"type":"string","description":"Detailed renewal type of a service","enum":["automaticForcedProduct","automaticV2012","automaticV2014","automaticV2016","automaticV2024","manual","oneShot","option"]},"service.StateEnum":{"type":"string","enum":["autorenewInProgress","expired","inCreation","ok","pendingDebt","unPaid"]},"service.TerminationFutureUseEnum":{"type":"string","description":"All future uses you can provide for a service termination","enum":["NOT_REPLACING_SERVICE","OTHER","SUBSCRIBE_AN_OTHER_SERVICE","SUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITOR","SUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR"]},"service.TerminationReasonEnum":{"type":"string","description":"All reasons you can provide for a service termination","enum":["FEATURES_DONT_SUIT_ME","LACK_OF_PERFORMANCES","MIGRATED_TO_ANOTHER_OVH_PRODUCT","MIGRATED_TO_COMPETITOR","NOT_ENOUGH_RECOGNITION","NOT_NEEDED_ANYMORE","NOT_RELIABLE","NO_ANSWER","OTHER","PRODUCT_DIMENSION_DONT_SUIT_ME","PRODUCT_TOOLS_DONT_SUIT_ME","TOO_EXPENSIVE","TOO_HARD_TO_USE","UNSATIFIED_BY_CUSTOMER_SUPPORT"]},"services.Service":{"type":"object","description":"Details about a Service","properties":{"canDeleteAtExpiration":{"type":"boolean","description":"Indicates that the service can be set up to be deleted at expiration","readOnly":true},"contactAdmin":{"type":"string","readOnly":true},"contactBilling":{"type":"string","readOnly":true},"contactTech":{"type":"string","readOnly":true},"creation":{"type":"string","format":"date","readOnly":true},"domain":{"type":"string","readOnly":true},"engagedUpTo":{"type":"string","nullable":true,"format":"date","readOnly":true},"expiration":{"type":"string","format":"date","readOnly":true},"possibleRenewPeriod":{"type":"array","description":"All the possible renew period of your service in month","nullable":true,"items":{"type":"integer"},"readOnly":true},"renew":{"allOf":[{"$ref":"#/components/schemas/service.RenewType"}],"description":"Way of handling the renew","nullable":true},"renewalType":{"allOf":[{"$ref":"#/components/schemas/service.RenewalTypeEnum"}],"readOnly":true},"serviceId":{"type":"integer","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/service.StateEnum"}],"readOnly":true}}},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/dedicatedCloud":{"get":{"summary":"List Managed VMware vSphere services","description":"List Managed VMware vSphere services. Returns the names of the services of the account. Filter by IAM tags with `iamTags`.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"query","name":"iamTags","description":"Filter resources on IAM tags","schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/iam.resource.TagFilter"}}}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:get","required":true}],"x-expanded-response":"DedicatedCloudDedicatedCloudWithIAM"}},"/dedicatedCloud/{serviceName}":{"get":{"summary":"Get a Managed VMware vSphere service","description":"Get a Managed VMware vSphere service. Returns the service: state, version, location, access and session policies, and management interface URLs.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.dedicatedCloudWithIAM"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:get","required":true}]},"put":{"summary":"Update a Managed VMware vSphere service","description":"Update a Managed VMware vSphere service. Updates the description and the access and session policies of the service. Deprecated: use `changeProperties` instead.","deprecated":true,"x-deprecation-date":"2019-01-10T00:00:00+01:00","x-deletion-date":"2019-03-10T00:00:00+01:00","x-replacement-route":"/dedicatedCloud/{serviceName}/changeProperties","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.dedicatedCloud"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@40"]],"x-badges":[{"color":"red","label":"Deprecated, will be removed"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: dedicatedCloud.dedicatedCloud\nresult = client.put(\"/dedicatedCloud/{serviceName}\",\n\tdescription = None, # Description of your VMware on OVHcloud (type: string)\n\tsslV3 = None, # Enable SSL v3 support. Warning : this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy (type: boolean, nullable)\n\tuserAccessPolicy = None, # Access policy of your VMware on OVHcloud : opened to every IPs or filtered (type: dedicatedCloud.UserAccessPolicyEnum)\n\tuserLimitConcurrentSession = None, # The maximum amount of connected users allowed on the VMware on OVHcloud management interface (type: integer)\n\tuserLogoutPolicy = None, #  (type: )\n\tuserSessionTimeout = None, # The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout (type: integer)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: dedicatedCloud.dedicatedCloud\n$result = $ovh->put(\"/dedicatedCloud/{serviceName}\", array(\n\tdescription => null, // Description of your VMware on OVHcloud (type: string)\n\tsslV3 => null, // Enable SSL v3 support. Warning : this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy (type: boolean, nullable)\n\tuserAccessPolicy => null, // Access policy of your VMware on OVHcloud : opened to every IPs or filtered (type: dedicatedCloud.UserAccessPolicyEnum)\n\tuserLimitConcurrentSession => null, // The maximum amount of connected users allowed on the VMware on OVHcloud management interface (type: integer)\n\tuserLogoutPolicy => null, //  (type: )\n\tuserSessionTimeout => null, // The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout (type: integer)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:put","required":true}]}},"/dedicatedCloud/{serviceName}/capabilities":{"get":{"summary":"Get the service capabilities","description":"Get the service capabilities. Returns which features can be ordered or used on the service, such as backup, user creation and hypervisor upgrade.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Capabilities"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/capabilities\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/capabilities\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:capabilities/get","required":true}]}},"/dedicatedCloud/{serviceName}/changeContact":{"post":{"summary":"Change service contacts","description":"Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"contactAdmin":{"type":"string","description":"The contact to set as admin contact"},"contactBilling":{"type":"string","description":"The contact to set as billing contact"},"contactTech":{"type":"string","description":"The contact to set as tech contact"}}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: coreTypes.AccountId:string\nresult = client.post(\"/dedicatedCloud/{serviceName}/changeContact\",\n\tcontactAdmin = None, # The contact to set as admin contact (type: coreTypes.AccountId:string, nullable)\n\tcontactBilling = None, # The contact to set as billing contact (type: coreTypes.AccountId:string, nullable)\n\tcontactTech = None, # The contact to set as tech contact (type: coreTypes.AccountId:string, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: coreTypes.AccountId:string\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/changeContact\", array(\n\tcontactAdmin => null, // The contact to set as admin contact (type: coreTypes.AccountId:string, nullable)\n\tcontactBilling => null, // The contact to set as billing contact (type: coreTypes.AccountId:string, nullable)\n\tcontactTech => null, // The contact to set as tech contact (type: coreTypes.AccountId:string, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:changeContact","required":true}]}},"/dedicatedCloud/{serviceName}/changeProperties":{"post":{"summary":"Update the service","description":"Update the service. Updates the description, access policy, logout policy, session timeout, concurrent session limit and SSL v3 support of the service. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"description":{"type":"string","description":"Description of your VMware on OVHcloud"},"sslV3":{"type":"boolean","description":"Enable SSL v3 support. Warning: this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy"},"userAccessPolicy":{"description":"Access policy of your VMware on OVHcloud: opened to each IP or filtered","$ref":"#/components/schemas/dedicatedCloud.UserAccessPolicyEnum"},"userLimitConcurrentSession":{"type":"integer","description":"The maximum amount of connected users allowed on the VMware on OVHcloud management interface"},"userLogoutPolicy":{"description":"Logout policy of your VMware on OVHcloud","$ref":"#/components/schemas/dedicatedCloud.UserLogoutPolicyEnum"},"userSessionTimeout":{"type":"integer","description":"The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout"}}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/changeProperties\",\n\tdescription = None, # Description of your VMware on OVHcloud (type: string, nullable)\n\tsslV3 = None, # Enable SSL v3 support. Warning: this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy (type: boolean, nullable)\n\tuserAccessPolicy = None, # Access policy of your VMware on OVHcloud: opened to each IP or filtered (type: dedicatedCloud.UserAccessPolicyEnum, nullable)\n\tuserLimitConcurrentSession = None, # The maximum amount of connected users allowed on the VMware on OVHcloud management interface (type: long, nullable)\n\tuserLogoutPolicy = None, # Logout policy of your VMware on OVHcloud (type: dedicatedCloud.UserLogoutPolicyEnum, nullable)\n\tuserSessionTimeout = None, # The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout (type: long, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/changeProperties\", array(\n\tdescription => null, // Description of your VMware on OVHcloud (type: string, nullable)\n\tsslV3 => null, // Enable SSL v3 support. Warning: this option is not recommended as it was recognized as a security breach. If this is enabled, we advise you to enable the filtered User access policy (type: boolean, nullable)\n\tuserAccessPolicy => null, // Access policy of your VMware on OVHcloud: opened to each IP or filtered (type: dedicatedCloud.UserAccessPolicyEnum, nullable)\n\tuserLimitConcurrentSession => null, // The maximum amount of connected users allowed on the VMware on OVHcloud management interface (type: long, nullable)\n\tuserLogoutPolicy => null, // Logout policy of your VMware on OVHcloud (type: dedicatedCloud.UserLogoutPolicyEnum, nullable)\n\tuserSessionTimeout => null, // The timeout (in seconds) for the user sessions on the VMware on OVHcloud management interface. 0 value disable the timeout (type: long, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:changeProperties","required":true}]}},"/dedicatedCloud/{serviceName}/confirmTermination":{"post":{"summary":"Confirm service termination","description":"Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"commentary":{"type":"string","description":"Commentary about your termination request"},"futureUse":{"description":"What next after your termination request","$ref":"#/components/schemas/service.TerminationFutureUseEnum"},"reason":{"description":"Reason of your termination request","$ref":"#/components/schemas/service.TerminationReasonEnum"},"token":{"type":"string","description":"The termination token sent by email to the admin contact"}},"required":["token"]}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"string"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/confirmTermination\",\n\tcommentary = None, # Commentary about your termination request (type: string, nullable)\n\tfutureUse = None, # What next after your termination request (type: service.TerminationFutureUseEnum, nullable)\n\treason = None, # Reason of your termination request (type: service.TerminationReasonEnum, nullable)\n\ttoken = None, # The termination token sent by email to the admin contact (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/confirmTermination\", array(\n\tcommentary => null, // Commentary about your termination request (type: string, nullable)\n\tfutureUse => null, // What next after your termination request (type: service.TerminationFutureUseEnum, nullable)\n\treason => null, // Reason of your termination request (type: service.TerminationReasonEnum, nullable)\n\ttoken => null, // The termination token sent by email to the admin contact (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:confirmTermination","required":true}]}},"/dedicatedCloud/{serviceName}/serviceInfos":{"get":{"summary":"Get service information","description":"Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/services.Service"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/serviceInfos\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/serviceInfos\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:serviceInfos/get","required":true}]},"put":{"summary":"Update service information","description":"Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/services.Service"}}}},"responses":{"200":{"description":"successful operation"}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@40"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: services.Service\nresult = client.put(\"/dedicatedCloud/{serviceName}/serviceInfos\",\n\trenew = None, # Way of handling the renew (type: service.RenewType, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: services.Service\n$result = $ovh->put(\"/dedicatedCloud/{serviceName}/serviceInfos\", array(\n\trenew => null, // Way of handling the renew (type: service.RenewType, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:serviceInfos/edit","required":true}]}},"/dedicatedCloud/{serviceName}/terminate":{"post":{"summary":"Request service termination","description":"Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the `confirmTermination` call.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"string"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/terminate\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/terminate\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:terminate","required":true}]}}}}
